summaryrefslogtreecommitdiffstats
path: root/osmo-release.sh
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2018-05-02 15:36:21 +0200
committerHarald Welte <laforge@gnumonks.org>2018-05-02 21:30:30 +0000
commitdcbb24b8c83ff5eca9c07988a831e1f5d99836cc (patch)
tree736632d8af9417d985f3bdb5ba614c36a858412d /osmo-release.sh
parent42174d18d11cbc5dae0a2e87226f3a35339c45e4 (diff)
osmo-release.sh: Exit with error if no description for new changelog entry provided
If no line is provided, then the xargs line doesn't call dch (due to -r param) and as a result no new version entry is created in the log, and the old one is updated. Change-Id: I17894f669e6d3d6d31203a4522dce7fa01da323f
Diffstat (limited to 'osmo-release.sh')
-rwxr-xr-xosmo-release.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/osmo-release.sh b/osmo-release.sh
index fbaf63d6..7ae4da0d 100755
--- a/osmo-release.sh
+++ b/osmo-release.sh
@@ -32,6 +32,11 @@ else
echo "You should NOT be doing this unless you've read and understood following article:"
echo "https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info"
grep -v '#' TODO-RELEASE | sed 's/\t\+/: /g' > TODO-RELEASE.entries
+ if [ "$(wc -l <TODO-RELEASE.entries 2>/dev/null)" -eq "0" ]; then
+ rm TODO-RELEASE.entries
+ echo "TODO-RELEASE must contain at least one line with change descriptions"
+ exit 1
+ fi
grep '#' TODO-RELEASE > TODO-RELEASE.clean
mv TODO-RELEASE.clean TODO-RELEASE
if [ "z$MAKEMOD" = "z" ]; then